# -*- coding:utf-8 -*-
"""
@author: yq
@time: 2024/1/2
@desc: 数据加载基类
"""
import abc

import pandas as pd


class DataLoaderBase(metaclass=abc.ABCMeta):

    @abc.abstractmethod
    def get_connect(self):
        pass

    @abc.abstractmethod
    def close_connect(self):
        pass

    @abc.abstractmethod
    def get_data(self, *args, **kwargs) -> pd.DataFrame:
        pass
